package cs

import (
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/requests"
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/responses"
)

// Faq 树状结构
type Faq struct {
	Id                  int64  `json:"id"`
	ParentId            int64  `json:"parent_id"`
	Title               string `json:"title"`
	Answer              string `json:"answer"`
	Type                int64  `json:"type"`
	WorkOrderTemplateId int64  `json:"work_order_template_id"`
	CreatedAt           string `json:"created_at"`
	UpdatedAt           string `json:"updated_at"`
	ProcessFlow         string `json:"process_flow"`
	Children            []*Faq `json:"children"`
}

type GetFaqRequest struct {
	*requests.RpcRequest
}

type GetFaqResponse struct {
	*responses.BaseResponse
	Code int    `json:"code"`
	Msg  string `json:"msg"`
	Data Faq    `json:"data"`
}

func CreateGetFaqRequest() (req *GetFaqRequest) {
	req = &GetFaqRequest{
		RpcRequest: &requests.RpcRequest{},
	}
	req.InitWithApiInfo(HOST, VERSION, "/v1/faq/list")

	req.Method = requests.POST
	return
}

func CreateGetFaqResponse() (response *GetFaqResponse) {
	response = &GetFaqResponse{
		BaseResponse: &responses.BaseResponse{},
	}
	return
}
